package lc.esp.eo.service;

import io.swagger.v3.oas.models.PathItem;
import lc.mecha.fabric.HandlerStatus;
import lc.mecha.http.server.HttpTransaction;
import lc.mecha.http.server.PrefixedHandler;

import java.util.Set;

/**
 * This class implements a {@link PrefixedHandler} which automatically validates and processes an HTTP
 * transaction based on a provided OpenAPI specification fragment.
 *
 * @author Alex Leigh
 * @since mk20 (TOKYO PROTOCOL)
 */
public class StubHandler extends PrefixedHandler {
    public StubHandler(String path, PathItem pathItem) {
        super(Set.of(path));
    }

    @Override
    public HandlerStatus handlePrefixedWebRequest(HttpTransaction request) throws Throwable {
        return null;
    }
}
